# MultipartRequest - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.abstracts / MultipartRequest

# MultipartRequest

(common) `interface MultipartRequest<T : Any> : Request<T>` (source)

### Properties

(common)

#### mediaMap

`abstract val mediaMap: Map<String, MultipartFile>`

(common)

#### paramsJson

`abstract val paramsJson: JsonObject`

### Inheritors

(common)

#### MultipartRequestImpl

`class MultipartRequestImpl<D : DataRequest<R>, F, R : Any> : MultipartRequest<R>`

(common)

#### SendStickerByFile

`data class SendStickerByFile : MultipartRequest<ContentMessage<StickerContent>>, Request<ContentMessage<StickerContent>>`

(common)

#### SetChatPhoto

`data class SetChatPhoto : ChatRequest, MultipartRequest<Boolean>`

(common)

#### UploadStickerFile

`data class UploadStickerFile : MultipartRequest<File>`